# Alerts with JSON data

If you are planning to automate the Trading Using GreenCrypto Indicator then you would require more details in the alerts than just buy and sell. GreenCrypto Indicator supports configuring alerts to receive entry-price, stop-loss and take profit details in the alert message.&#x20;

## Configure Alert

You don't need to configure separate alert for buy and sell signals. Single alert configuration will send notification whenever there is a new BUY or SELL signals.&#x20;

While configuring the alert you need to select "Any alert() function Call" as shown in the below screenshot.&#x20;

{% hint style="info" %}

#### If you need detailed instruction on Configuring the alert please refer the below page till Step-2

{% endhint %}

![Creating alert to receive JSON alert message](/files/-Mg_znnytLWDfZpubr76)

Once you configure the alert with the configuration as shown the above message you should receive new signals with the JSON message. \
Sample LONG/Buy and SHORT/Sell message given below

#### Sample **Sell/SHORT** signal

```
{
	"orderSide": "sell",
	"ticker": "LTCUSDT",
	"entryPrice": 154.49,
	"stopLoss": 154.79,
	"tp1": 154.19,
	"tp2": 153.89,
	"tp3": 153.59,
	"tp4": 153.29,
	"tp5": 152.99
}
```

#### Sample Bu&#x79;**/LONG** signal

```
{
	"orderSide": "buy",
	"ticker": "LTCUSDT",
	"entryPrice": 154.49,
	"stopLoss": 154.79,
	"tp1": 154.19,
	"tp2": 153.89,
	"tp3": 153.59,
	"tp4": 153.29,
	"tp5": 152.99
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.greencrypto.net/getting-started/alerts-with-json-data.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
